Bug 6567 - error MSB6006: "generator.exe" exited with code -532462766.
Summary: error MSB6006: "generator.exe" exited with code -532462766.
Status: RESOLVED FIXED
Alias: None
Product: Android
Classification: Xamarin
Component: Bindings (show other bugs)
Version: 4.2.x
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Atsushi Eno
URL:
Depends on:
Blocks:
 
Reported: 2012-08-16 16:53 UTC by Jeremy Kolb
Modified: 2017-09-19 11:35 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Jeremy Kolb 2012-08-16 16:53:58 UTC
I'm trying to generate bindings for osmdroid and I forgot a "'" in the xml in the package name:

  <attr path="/api/package[@name='org.osmdroid.views.overlay]/class[@name=Overlay]" name="visibility">public</attr>

This caused the above error.
Comment 1 Atsushi Eno 2012-11-26 09:19:28 UTC
These errors will be reported on the VS/MD error list. Thanks for raising the issue.

[master 12cc7ae]
Comment 2 Raphael Alencar 2017-08-29 18:57:52 UTC
I have the same issue, can you help me?

My metadata.xml:

<metadata>
  <!--
  This sample removes the class: android.support.v4.content.AsyncTaskLoader.LoadTask:
  <remove-node path="/api/package[@name='android.support.v4.content']/class[@name='AsyncTaskLoader.LoadTask']" />
  
  This sample removes the method: android.support.v4.content.CursorLoader.loadInBackground:
  <remove-node path="/api/package[@name='android.support.v4.content']/class[@name='CursorLoader']/method[@name='loadInBackground']" />
  -->

  <attr
    path="/api/package[@name='com.ds.cameracontrol.tasks']/class[@name='ProcessImageTask']/method[@name='doInBackground]"
    name="name">
    param
  </attr>
</metadata>
Comment 3 Atsushi Eno 2017-09-19 11:35:55 UTC
Your XPath is invalid, missing '. Note that this bug was about hidden warnings that are not showing up on the IDE error pads.